Bug 692115 - bare fedora-live-desktop.ks overflows
bare fedora-live-desktop.ks overflows
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-30 09:09 EDT by Jan Kratochvil
Modified: 2012-08-07 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:19:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2011-03-30 09:09:51 EDT
Description of problem:
A basic attempt fails due to overflown image space.

Version-Release number of selected component (if applicable):
fedora-kickstarts-0.15.3-1.fc15.noarch

How reproducible:
Always.

Steps to Reproduce:
rm -rf /var/cache/live/*
livecd-creator --config=/usr/share/spin-kickstarts/fedora-live-desktop.ks --cache=/var/cache/live

Actual results:
Transaction couldn't start:
installing package wqy-zenhei-fonts-0.9.46-2.fc15.noarch needs 17MB on the / filesystem
...
installing package ipw2100-firmware-1.3-12.fc15.noarch needs 64MB on the / filesystem
Error creating Live CD : Unable to install: Could not run transaction.

Expected results:
Built .iso.

Additional info:
Together with fedora-live-minimization.ks it can be built; but I believe that it should not be required and fedora-live-desktop.ks should build on its own.
Comment 1 Bruno Wolff III 2011-03-30 09:22:58 EDT
Probably the file system image size needs to get raised. It's odd that this is even getting that far though, as there are dependency conflicts currently blocking the cd sized image, that I would also expect to be blocking the one targeting 1 GB.
Once the file conflict issues are resolved, I'll take a look at seeing what a reasonable bump in size might be.
Comment 2 Bruno Wolff III 2011-03-30 09:32:00 EDT
Looks like I see conflicts, because I look at the testing repo as well. I'll try testing this tonight or tomorrow without the testing repo and see if I can figure out how much to raise the image size by.
Comment 3 Jan Kratochvil 2011-03-30 10:04:37 EDT
BTW the filesystem image should be much larger by default anyway so that one has enough space for `yum install' of missing pieces while the Live system is running.
Comment 4 Bruno Wolff III 2011-03-30 12:22:25 EDT
The size I am talking about doesn't affect that. It only affects the initial build.
Comment 5 Bruno Wolff III 2011-03-30 23:16:35 EDT
I looked and the live desktop spin doesn't override the default size of 3 GB used for CD sized images. So it seems reasonable that it should get bumped. I am going to try 4 GB instead. I want to also test of the filesystem type still gets inherited if I just give a new size or if I need to repeat that as well. So I haven't push a commit upstream yet.
Comment 6 Bruno Wolff III 2011-03-30 23:24:52 EDT
It looks like it was just short at 3 GB, so 4 GB should be fine for the foreseeable future. I'll push the commit later tonight.
Comment 7 Bruno Wolff III 2011-03-31 00:05:49 EDT
This is now in the upstream git repo. There will likely be a new spin-kickstarts package built to show up on the beta release.
Comment 8 Fedora End Of Life 2012-08-07 16:19:20 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.